package org.gcube.resourcemanagement.manager.io.codeexceptions;

/**
 * An {@link ErrorCode} that can be serialized in a {@link WebCodeException}.
 * 
 * @author Manuele Simi (ISTI CNR)
 *
 */
public class SerializableErrorCode implements ErrorCode {
	
	private int id;
	private String message;
	
	public SerializableErrorCode() {}
	
	/**
	 * @param id
	 * @param message
	 */
	public SerializableErrorCode(int id, String msg) {
		this.id = id;
		this.message = msg;
	}

	/* (non-Javadoc)
	 * @see org.gcube.resourcemanagement.manager.io.exceptions.ErrorCode#getId()
	 */
	@Override
	public int getId() {
		return this.id;
	}

	/* (non-Javadoc)
	 * @see org.gcube.resourcemanagement.manager.io.exceptions.ErrorCode#getMessage()
	 */
	@Override
	public String getMessage() {
		return this.message;
	}

}
